﻿using System.ComponentModel;
using Telerik.Windows.Controls.Map;
using System.Windows;
using System.Collections.ObjectModel;

namespace BindingOfMapCenter
{
	public class MapViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		private Location center;
		public Location Center
		{
			get
			{
				return center;
			}
			set
			{
				center = value;
				OnPropertyChanged("Center");
			}
		}

		private Location bindableCenter;
		public Location BindableCenter
		{
			get
			{
				return bindableCenter;
			}
			set
			{
				center = value;
				OnPropertyChanged("Center");
			}
		}

		public LocationCollection locations;
		public LocationCollection Locations
		{
			get
			{
				return locations;
			}
			set
			{
				locations = value;
				OnPropertyChanged("Locations");
			}
		}

		private void OnPropertyChanged(string name)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(name));
			}
		}
	}
}
