﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Telerik.Windows.Controls.Map;
using System.Collections.ObjectModel;

namespace BindingOfMapCenter
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			MapViewModel model = CreateViewModel();
			this.DataContext = model;
		}

		private static MapViewModel CreateViewModel()
		{
			MapViewModel model = new MapViewModel();

			model.Locations = new LocationCollection();

			Location defaultCenter = new Location()
			{
				Latitude = 40.732424689844,
				Longitude = -73.9788818359373,
				Description = "New York"
			};
			model.Locations.Add(defaultCenter);

			model.Locations.Add(new Location()
			{
				Latitude = 37.7734217259377,
				Longitude = -122.450165687422,
				Description = "San Francisco"
			});

			model.BindableCenter = defaultCenter;

			return model;
		}
	}
}
